Page MenuHomePhabricator

Poll for success on publishfailed error
Closed, DeclinedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/946

Narrative

Unlike its name suggest, publishfail seems to be actually meaning something like "publish in progress".

Acceptance Criteria

Related Bugs

Related Stories

Related Changesets

Event Timeline

MingleTerminator raised the priority of this task from to High.Dec 8 2014, 7:23 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:45 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 6:45 PM
MarkTraceur closed this task as Declined.Nov 25 2015, 3:24 PM
MarkTraceur claimed this task.
MarkTraceur added a subscriber: MarkTraceur.

Hm.

It looks like publishfailed is used in two places.

  • When an exception is thrown somewhere in the publish job, in an async publish (which I'm not sure UploadWizard uses)
  • When the client tries to publish a file that is already being published

I don't see a problem with either of those being actual errors.